<?php
/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
namespace Vpc\Request\V20160428;

class ModifyBgpGroupAttributeRequest extends \RpcAcsRequest
{
	function  __construct()
	{
		parent::__construct("Vpc", "2016-04-28", "ModifyBgpGroupAttribute", "vpc", "openAPI");
		$this->setMethod("POST");
	}

	private  $authKey;

	private  $resourceOwnerId;

	private  $resourceOwnerAccount;

	private  $clientToken;

	private  $ownerAccount;

	private  $bgpGroupId;

	private  $description;

	private  $ownerId;

	private  $peerAsn;

	private  $isFakeAsn;

	private  $name;

	public function getAuthKey() {
		return $this->authKey;
	}

	public function setAuthKey($authKey) {
		$this->authKey = $authKey;
		$this->queryParameters["AuthKey"]=$authKey;
	}

	public function getResourceOwnerId() {
		return $this->resourceOwnerId;
	}

	public function setResourceOwnerId($resourceOwnerId) {
		$this->resourceOwnerId = $resourceOwnerId;
		$this->queryParameters["ResourceOwnerId"]=$resourceOwnerId;
	}

	public function getResourceOwnerAccount() {
		return $this->resourceOwnerAccount;
	}

	public function setResourceOwnerAccount($resourceOwnerAccount) {
		$this->resourceOwnerAccount = $resourceOwnerAccount;
		$this->queryParameters["ResourceOwnerAccount"]=$resourceOwnerAccount;
	}

	public function getClientToken() {
		return $this->clientToken;
	}

	public function setClientToken($clientToken) {
		$this->clientToken = $clientToken;
		$this->queryParameters["ClientToken"]=$clientToken;
	}

	public function getOwnerAccount() {
		return $this->ownerAccount;
	}

	public function setOwnerAccount($ownerAccount) {
		$this->ownerAccount = $ownerAccount;
		$this->queryParameters["OwnerAccount"]=$ownerAccount;
	}

	public function getBgpGroupId() {
		return $this->bgpGroupId;
	}

	public function setBgpGroupId($bgpGroupId) {
		$this->bgpGroupId = $bgpGroupId;
		$this->queryParameters["BgpGroupId"]=$bgpGroupId;
	}

	public function getDescription() {
		return $this->description;
	}

	public function setDescription($description) {
		$this->description = $description;
		$this->queryParameters["Description"]=$description;
	}

	public function getOwnerId() {
		return $this->ownerId;
	}

	public function setOwnerId($ownerId) {
		$this->ownerId = $ownerId;
		$this->queryParameters["OwnerId"]=$ownerId;
	}

	public function getPeerAsn() {
		return $this->peerAsn;
	}

	public function setPeerAsn($peerAsn) {
		$this->peerAsn = $peerAsn;
		$this->queryParameters["PeerAsn"]=$peerAsn;
	}

	public function getIsFakeAsn() {
		return $this->isFakeAsn;
	}

	public function setIsFakeAsn($isFakeAsn) {
		$this->isFakeAsn = $isFakeAsn;
		$this->queryParameters["IsFakeAsn"]=$isFakeAsn;
	}

	public function getName() {
		return $this->name;
	}

	public function setName($name) {
		$this->name = $name;
		$this->queryParameters["Name"]=$name;
	}
	
}